Bug 866312 - Review Request: keybinder3 - Library for globally binding keys
Review Request: keybinder3 - Library for globally binding keys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
:
: 963476 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 01:02 EDT by Patrick Griffis
Modified: 2013-08-10 16:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: keybinder3-0.3.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 07:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
py: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Griffis 2012-10-15 01:02:50 EDT
Spec URL: https://raw.github.com/gist/3890872/4d954405ce0fa230b743232ff8f0ac31c1f92d47/keybinder3.spec
SRPM URL: http://dl.dropbox.com/u/5510351/keybinder3-0.3.0-1.fc17.src.rpm
Description: keybinder is a library for registering global keyboard shortcuts. 
Keybinder works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Gobject-Introspection bindings

Fedora Account System Username: tingping
Still in need of sponsor: https://bugzilla.redhat.com/show_bug.cgi?id=855605

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4590052
rpmlint spec: 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint pkg: keybinder3.x86_64: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
keybinder3.x86_64: W: spelling-error %description -l en_US Keybinder -> Key binder, Key-binder, Bindery
keybinder3.x86_64: W: spelling-error %description -l en_US libkeybinder -> bookbindery
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
(all false postivies)
Comment 2 Kevin Fenzi 2012-12-26 14:33:22 EST
Removing needsponsor, as I have sponsored them in bug 855605.
Comment 4 Pierre-Yves Luyten 2013-07-29 19:29:51 EDT
Hello, I think you need to update kaizer.ze source0
Comment 5 Christopher Meng 2013-07-29 21:59:11 EDT
Can you use tingping.de as storage?

URL seems broken.
Comment 6 Patrick Griffis 2013-07-30 19:47:54 EDT
SPEC: http://fpaste.org/29123/13752279/

SRPM: http://db.tt/lR0jzPcD
Comment 7 Pierre-Yves Luyten 2013-07-31 15:46:27 EDT
Thanks for the quick update!
First comments


* SPECS/keybinder.spec:8: W: macro-in-comment %{version}

 You can remove the old url.


* %description
* keybinder is a library for registering global keyboard shortcuts.
* Keybinder works with GTK-based applications using the X Window System.


U se Keybinder both cases


* Summary: Documenation for %{name}

 typo, "Documentation", then again typo on the same word few lines below
Comment 8 Patrick Griffis 2013-07-31 20:42:33 EDT
SPEC: http://fpaste.org/29379/75317700/
SRPM: http://db.tt/7cjfl3Lz
Comment 9 Pierre-Yves Luyten 2013-08-01 02:14:49 EDT
License is good : MIT, Naming ok, Files installed at the right place and nothing forgot. Also review tools are fine. Thus, approving.




Provides
--------
keybinder3-devel:
    keybinder3-devel
    keybinder3-devel(x86-64)
    pkgconfig(keybinder-3.0)

keybinder3-doc:
    keybinder3-doc

keybinder3:
    keybinder3
    keybinder3(x86-64)
    libkeybinder-3.0.so.0()(64bit)
Comment 10 Pierre-Yves Luyten 2013-08-01 02:20:33 EDT
*** Bug 963476 has been marked as a duplicate of this bug. ***
Comment 11 Patrick Griffis 2013-08-01 05:37:42 EDT
New Package SCM Request
=======================
Package Name: keybinder3
Short Description: A library for registering global keyboard shortcuts
Owners: tingping
Branches: f18 f19
Comment 12 Jon Ciesla 2013-08-01 08:09:59 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-08-01 10:24:17 EDT
keybinder3-0.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/keybinder3-0.3.0-1.fc18
Comment 14 Fedora Update System 2013-08-01 10:24:37 EDT
keybinder3-0.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/keybinder3-0.3.0-1.fc19
Comment 15 Pierre-Yves Luyten 2013-08-02 07:59:58 EDT
The build are done, closing.
Comment 16 Fedora Update System 2013-08-10 16:00:15 EDT
keybinder3-0.3.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-08-10 16:05:17 EDT
keybinder3-0.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.